
from loader.DDBPITLoader import DDBPITLoader
from loader.DDBHFTLoader import DDBHFTLoader
from loader.DDBBasicInfoLoader import DDBBasicInfoLoader


def create_hft_data():
    # 高频数据
    loader = DDBHFTLoader()
    df_calendar = loader.make_calendar_df()

    #loader.init_ddb_database(df_calendar)
    #print('Did finish init_ddb_database')

    loader.load_ddb_database()
    print('Did load ddb database')

    loader.init_ddb_table_data(df_calendar)
    print('Did finish init_table_data')


def create_basic_info_data():
    loader = DDBBasicInfoLoader()
    loader.create_ddb_database()
    loader.create_ddb_partition_table()


def create_pit_data():
    # PIT基本面数据
    loader = DDBPITLoader()
    loader.create_ddb_database()
    #loader.create_ddb_partition_tables()
    loader.dump_pit_to_ddb()


def create_daily_kline_data():
    # 日频行情数据
    loader = DDBDailyLoader()
    loader.load_ddb_database()
    loader.dump_daily_kline_to_ddb()



def main():

	# TODO: 
	# 可以使用`Fire`库，对函数调用再做一次封装，就可以避免每次运行不同参数时候需要修改内部多处的代码。

    # create_hft_data()
    create_pit_data()


if __name__ == '__main__':
    main()

